# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_HDataMapOfStringByte Class Reference

Extension of TDataStd_DataMapOfStringByte class
to be manipulated by handle.
.

`#include <TDataStd_HDataMapOfStringByte.hxx>`

## Public Member Functions

Standard_EXPORT | TDataStd_HDataMapOfStringByte (const Standard_Integer NbBuckets=1)
Standard_EXPORT | TDataStd_HDataMapOfStringByte (const TDataStd_DataMapOfStringByte &theOther)
const TDataStd_DataMapOfStringByte & | Map () const
TDataStd_DataMapOfStringByte & | ChangeMap ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

TDataStd_DataMapOfStringByte | myMap

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_HDataMapOfStringByte::TDataStd_HDataMapOfStringByte | ( | const Standard_Integer | NbBuckets = `1` | ) |

Standard_EXPORT TDataStd_HDataMapOfStringByte::TDataStd_HDataMapOfStringByte | ( | const TDataStd_DataMapOfStringByte & | theOther | ) |

## Member Function Documentation

TDataStd_DataMapOfStringByte & TDataStd_HDataMapOfStringByte::ChangeMap | ( |  | ) | `[inline]`

Standard_EXPORT const TDataStd_HDataMapOfStringByte::Handle | ( | Standard_Type |  | ) | const

const TDataStd_DataMapOfStringByte & TDataStd_HDataMapOfStringByte::Map | ( |  | ) | const`[inline]`

## Field Documentation

TDataStd_DataMapOfStringByte TDataStd_HDataMapOfStringByte::myMap `[private]`

The documentation for this class was generated from the following files:

- TDataStd_HDataMapOfStringByte.hxx
- TDataStd_HDataMapOfStringByte.lxx